#include <iostream>

using namespace std;
int med(int A[],int N)
{
    return A[(N/2)];
}
int main()
{
    int N,Q,j=0;
    int A[100],B[100];
    cin>>N>>Q;
    for(int i=0;i<N;i++)
        cin>>A[i];
	for(int i=0;i<N;i++)
	{
		for(int j=i+1;j<N;j++)
		{
			if(A[i]>A[j])
			{
				int temp  =A[i];
				A[i]=A[j];
				A[j]=temp;
			}
		}
	}
    for(int i=0;i<Q;i++)
    {
        cin>>B[i];
    }
    while(j<Q)
    {
        int br=0,g=0;
        int n=N;
        int C[100];
        for(int i=0;i<n;i++)
            C[i]=A[i];
            while(B[j]!=med(C,n))
            {
                    for(int i=0;i<n;i++){
                        if(C[i]<B[j]){
                        g++;
                        }else{
                            break;
                        }
                    }

                    for(int i=n-1;i>=g;i--)
                        C[i+1]=C[i];
                    C[g]=B[j];
                    n++;
                    br++;

            }
        cout<<br<<endl;
        j++;
    }
    return 0;
}